﻿/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.actionscript-facile.com
  Portions created by the Initial Developer are Copyright (C) 2010
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
package
{

	import com.actionscriptfacile.ui.text.UITextField;
	import com.debug.Out;

	import flash.events.MouseEvent;
	import flash.display.Sprite;
	import flash.events.Event;

	import com.demonsters.debugger.MonsterDebugger;

	public class Main extends Sprite
	{
		private var nNum : Number;
		
		/**
		 * Constructeur.
		 * 
		 */
		public function Main()
		{
			// attend la fin de l'initialisation de la scène
			this.addEventListener(Event.ADDED_TO_STAGE, onReady, false, 0, true);
		}

		/**
		 * Démarrage de l'application.
		 * définit le nombre d'images par secondes dans les paramètres de compilation
		 * -default-frame-rate 40
		 * 
		 * http://apps.facebook.com/actionscript-facil
		 */
		private function onReady(event : Event) : void
		{
			this.removeEventListener(Event.ADDED_TO_STAGE, onReady);

			// Init De MonsterDebugger
			MonsterDebugger.initialize(this);
			MonsterDebugger.trace(this, "Start Application");
			
			// init du debug simple
			nNum = 0;
			var oTextDebug:UITextField = new UITextField();
			oTextDebug.x = 20;
			oTextDebug.y = 80;
			
			oTextDebug.maxWidth = oTextDebug.width = 433;
			oTextDebug.maxHeight = oTextDebug.height = 163;
			oTextDebug.text = "";

			oTextDebug.convertToDynamic();
			oTextDebug.alignLeft();
			
			oTextDebug.border = true;
			oTextDebug.changeFormat("size", 11);
			oTextDebug.changeFormat("font", "Arial");
			oTextDebug.changeFormat("color", Math.random() * 0X00FFFFFF);
			
			Out.stage = stage;
			Out.textField = oTextDebug;
			Out.maxLength = 1333;// longueur maximum
			
			// notre application
			var oBtnAddStatus:DefaultButton = new DefaultButton();
			oBtnAddStatus.getObject().label = "Ajouter Debug";
			oBtnAddStatus.getObject().x = oBtnAddStatus.getObject().y = 30;
			oBtnAddStatus.getObject().addEventListener(MouseEvent.CLICK, onClickBtn);
			
			addChild(oBtnAddStatus);
			addChild(oTextDebug);
			
			Out.trace("Application Debug prête");
		}


		/**
		 * Mise à jour du status Facebook de l'utilisateur.
		 * 
		 */
		private function onClickBtn(event : MouseEvent) : void
		{
			nNum++;
			Out.trace(nNum+" - Click // Ctrl + D pour masquer / afficher le debug");
		}
		
	}
}
